package aop;

import org.seasar.framework.aop.Aspect;
import org.seasar.framework.aop.Pointcut;
import org.seasar.framework.aop.impl.AspectImpl;
import org.seasar.framework.aop.impl.PointcutImpl;
import org.seasar.framework.aop.proxy.AopProxy;

import bean.Foo;

public class Main4 {

	public static void main(String[] args) {
		Pointcut pointcut = new PointcutImpl(new String[]{"doSomething"});
		Aspect aspect = new AspectImpl(new MyIntercepter(), pointcut);
		AopProxy aopProxy = new AopProxy(Foo.class, new Aspect[]{aspect});
		Foo foo = (Foo) aopProxy.create();
		foo.doSomething();
		System.out.println("END");
	}
	
}
